Prepare financial operation
Prepare a financial operation before execution. Returns a preparedOrderId used by the execute endpoint.
Endpoint
POST /api/v2.1/fintrans/{accountId}/types/{operationType}/prepare
Sample cURL
curl --request POST \
--url 'https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/types/{operationType}/prepare' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'X-Tenant-Id: <TENANT_ID>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'User-Agent: <USER_AGENT>' \
--header 'X-Forwarded-From: <FORWARDED_FROM>' \
--header 'platform: Web' \
--header 'deviceId: <DEVICE_ID>' \
--data '{
"type": "INTERNAL",
"target": {
"name": "John Customer",
"iban": "LT213320011000055860"
},
"currency": "EUR",
"beneficiaryName": "John Customer",
"amount": {
"value": "100000",
"scale": 2,
"currency": "EUR"
},
"beneficiaryId": "eba40e17-e539-430e-a6cc-2b0f01e4c86e",
"sourceAccount": {
"walletId": "d7d94804-4d8b-45af-862f-77cbcef740f4"
},
"companyName": "John Customer",
"description": "Internal funding transfer to customer wallet",
"consent": {
"consentReference": "f3822ff0-3986-4fef-84eb-7b517e657b6f"
}
}'Response Example
{
"code": 200,
"data": {
"preparedOrderId": "621d1386-f2fb-4655-88a8-997db0ec446a",
"status": "READY"
},
"message": "Success"
}Missing Headers Error Example
{
"code": 500,
"data": {
"deviceId_accepted": [
"deviceId",
"X-Device-Id",
"device-id"
],
"missingHeaders": [
"X-Forwarded-From",
"deviceId"
]
},
"message": "Missing required header(s)"
}